import React from 'react';

import Person from './person_class.jsx';

/*
* props.persons is an Array of length 2 containing "person objects"
* props.children corresponds to children given to element when using it
*/
export default class PersonListing extends React.Component {
   constructor(props) {
      super(props);
   }

   render() {
      return (
         <div>
            <Person { ...this.props.persons[0] } />
            <Person { ...this.props.persons[1] } />
            { this.props.children }
         </div>
      );
   }
}
